@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';

.parameter-page-container {
  @include mixin.page;
  height: calc(100vh - #{size.$header-size} - #{size.$footer-size});
}

.side-bar {
  height: 100%;
  flex-direction: row !important;
  .mat-tab-header {
    border-radius: size.$border-radius 0 0 size.$border-radius;
    border-bottom: none;
  }
  .mat-tab-list {
    background-color: rgba(color.$card, 0.5);
  }
  .mat-tab-header-pagination {
    display: none !important;
  }
  .mat-tab-labels {
    flex-direction: column;
    .mat-tab-label {
      flex-basis: auto !important;
      justify-content: flex-end;
      transition: 0.5s ease-out;
      opacity: 1;
      color: color.$text;
      &:hover {
        background-color: rgba(color.$card, 0.8);
        transition: 0.1s ease;
      }
      .mat-icon {
        color: color.$text;
      }
      span {
        max-width: 100px;
        white-space: pre-line;
        text-align: right;
      }
    }
    .mat-tab-label-active {
      background-color: color.$card;
      transition: 0.3s ease;
    }
    &::after {
      content: '';
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      -webkit-box-shadow: inset -21px 0px 32px -30px rgba(0, 0, 0, 0.54);
      box-shadow: inset -21px 0px 32px -30px rgba(0, 0, 0, 0.54);
      pointer-events: none;
    }
  }
  .mat-tab-body-wrapper {
    @include mixin.card;
    border-radius: 0 size.$border-radius size.$border-radius 0;
  }
  .mat-ink-bar {
    height: 0;
  }
}

.sub-page-container {
  @include mixin.page;
  height: calc(100% - 2 * #{size.$gap});
  h1 {
    margin: 0;
  }
  .sub-page-body {
    display: flex;
    flex-flow: row nowrap;
    gap: size.$gap;
    .left-container {
      display: flex;
      flex-flow: column nowrap;
      gap: size.$gap;
    }
    .right-container {
      height: calc(
        100vh - #{size.$header-size} - #{size.$footer-size} - 6 * #{size.$gap} -
          33px
      );
      position: sticky;
      top: size.$gap;
    }
    .left-container,
    .right-container,
    & {
      flex: 1;
      .grid {
        display: flex;
        flex-flow: row wrap;
        gap: size.$gap;
        .grid-item {
          flex: 1;
          border-radius: size.$border-radius;
          background-color: color.$muted;
          padding: size.$gap;
          .title {
            @include mixin.center-items(flex-start);
            flex-flow: row nowrap;
            gap: 1ch;
            * {
              margin: 0;
            }
            .info-icon {
              font-size: size.$text;
            }
          }
        }
      }
    }
    .save-button {
      width: 50%;
      font-size: size.$text;
      height: 2em;
      margin: 0 auto;
      background-color: color.$green;
    }
  }
}
